Welche PHP Version für Shopware 5.1.5

Hallo Zusammen,

welche PHP Version würdet Ihr für Shopware 5.1.5 empfehlen?

Derzeit verwende ich 5.4. Diese ist wohl nicht ausreichend für Shopware bzw. wird im Backend bei Performance als „Ausrufezeichen“ gekennzeichnet.

Vielen Dank für eure Hilfe.

MFG
Jerome

5.6 wäre besser. Oder gleich php 7 wenn du auf verschlüsselte Plugins verzichten kannst

1 Like

Vielen Dank für die schnelle Antwort. Ich dachte irgendwo gelesen zu haben, das Shopware 5 nicht mit PHP 5.6. kompatibel ist?

Zu PHP 7 … wie kann ich erkennen ob Plugins verschlüsselt sind oder nicht? (bestimmt eine doofe Frage, aber als Laie traue ich mich das jetzt mal  Wearing-Sunglasses)
Sind vielleicht gekaufte Plugins immer verschlüsselt? Oder kann man dies sehen am Plugin?

Vielen lieben Dank!

Doch, sicher geht SW 5 mit PHP 5.6 wird sogar empfohlen!

Du erkennst die Plugins daran, dass Sie z.b. im Shopware Store als Testversion angeboten werden. Betrifft auch die Shopware eigenen Premiumplugins

Also 5.6. Vielen Dank!

Wenn ich richtig bin, muss ich dies beim Hoster anfragen (profihost) und die htaccess Datei ändern oder?

Muss ich  noch weiteres beachten bei der PHP Umstellung?

Ich sag schon mal vielen Dank!

LG

 

@derkosta schrieb:

Doch, sicher geht SW 5 mit PHP 5.6 wird sogar empfohlen!

http://community.shopware.com/Performance-Tipps-Shopware_detail_1258.html

Du erkennst die Plugins daran, dass Sie z.b. im Shopware Store als Testversion angeboten werden. Betrifft auch die Shopware eigenen Premiumplugins

Hallo,

das ist natürlich völlig falsch, was derkosta da behauptet. Nur weil ein Shopware - Plugin eine Testversion bereitstellt, muss es nicht gleich verschlüsselt sein. Hier wäre es einfach sinnvoll, wenn du den Plugin-Hersteller anfragst, ob das Plugin verschlüsselt ist oder nicht.

Beste Grüße

Sebastian

1 Like

Ja ok, es ist meistens der Fall, nicht immer bezüglich der Testversion :wink:

@derkosta schrieb:

Ja ok, es ist meistens der Fall, nicht immer bezüglich der Testversion :wink:

Hallo,

und das „meistens“ kannst du einschätzen, weil du alle Shopware Plugins mit Testversionen getestet hast?

Hier wäre die einfachste Möglichkeit, einfach beim Plugin-Hersteller nachzufragen, ob das Plugin verschlüsselt ist oder nicht @Jerome_1982‍ . Ich kenne beispielsweise mindestens einen Shopware - Plugin - Hersteller, der recht viele Plugins hat, und alle sind unverschlüsselt - egal ob mit oder ohne Testversion.

Beste Grüße

Sebastian

das ist natürlich völlig falsch, was derkosta da behauptet. Nur weil ein Shopware - Plugin eine Testversion bereitstellt, muss es nicht gleich verschlüsselt sein. Hier wäre es einfach sinnvoll, wenn du den Plugin-Hersteller anfragst, ob das Plugin verschlüsselt ist oder nicht.

Beste Grüße

Sebastian

Hallo Sebastian,

vielen herzlichen Dank für die Info!